Bug 1295912 - rhel-osp-director: As part of "deploy oc 7.2 from uc 8.0", loading only 7.2 glance images results in:"Required file "./ironic-python-agent.initramfs" does not exist."
rhel-osp-director: As part of "deploy oc 7.2 from uc 8.0", loading only 7.2 g...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ga
: 8.0 (Liberty)
Assigned To: Brad P. Crochet
yeylon@redhat.com
:
Depends On:
Blocks: 1214764
  Show dependency treegraph
 
Reported: 2016-01-05 13:46 EST by Alexander Chuzhoy
Modified: 2016-04-18 03:13 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-08 09:53:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Chuzhoy 2016-01-05 13:46:00 EST
rhel-osp-director: As part of "deploy oc 7.2 from uc 8.0", loading only 7.2 glance images results in:"Required file "./ironic-python-agent.initramfs" does not exist."


Environment:
openstack-tripleo-0.0.7-1.el7ost.noarch
openstack-tripleo-common-0.0.2-4.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.2-1.el7ost.noarch
openstack-tripleo-image-elements-0.9.7-1.el7ost.noarch
instack-undercloud-2.2.0-1.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-94.el7ost.noarch


Steps to reproduce:
1. deploy undercloud 8.0
2. get all 7.2 images for overcloud nodes.
3. run "openstack overcloud image upload"

Result:
Required file "./ironic-python-agent.initramfs" does not exist.

Expected result:
No errors.


W/A:
Download and place in the same directory the discovery image for 8.0 and then try to load the images.
Comment 3 Alexander Chuzhoy 2016-02-23 17:47:02 EST
W/A:
Running: openstack overcloud image upload --old-deploy-image

Getting:
  required file "./ironic-python-agent.initramfs" does not exist.  
Copying that file to the directory where the images are being uploaded from.

Getting:
  Required file "./ironic-python-agent.kernel" does not exist. 
Copying that file to the directory where the images are being uploaded from.

Running: openstack overcloud image upload --old-deploy-image
The images are uploaded.
Comment 4 Dmitry Tantsur 2016-03-08 09:48:18 EST
Folks,

the IPA image is a requirement for at least introspection. It's also highly recommended for deployment as well. Some OSPd8 features might not work with the old ramdisk. We probably need to document this better.

TL;DR: for deploying oc 7.2 from uc 8.0 you need 8.0 IPA and 7.2 overcloud image.

Note You need to log in before you can comment on or make changes to this bug.